<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">96</item> <!-- min brite -->
  <item name="bluetooth.active">97</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">265</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>
  <item name="wifi.active">139</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item> <!-- k3v5 -->
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">4200</item> <!-- 3900mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
  </array>
  <array name="cpu.speeds">
    <value>533000</value> <!-- 533 MHz CPU speed -->
    <value>999000</value> <!-- 999 MHz CPU speed -->
    <value>1402000</value> <!-- 1.4 GHz CPU speed -->
    <value>1709000</value><!-- 1.7 GHz CPU speed -->
    <value>1844000</value><!-- 1.8 GHz CPU speed -->
    <value>2112000</value><!-- 2.1 GHz CPU speed -->
    <value>2362000</value><!-- 2.3 GHz CPU speed -->
    <value>2612000</value><!-- 2.6 GHz CPU speed -->
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">5</item> <!-- k3v5 -->
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">21</item> <!-- k3v5 -->
  <!-- Power consumption at different speeds -->
  <array name="cpu.active">
    <value>36</value>
    <value>86</value>
    <value>160</value>
    <value>241</value>
    <value>300</value>
    <value>1188</value>
    <value>2113</value>
    <value>2338</value>
  </array>
</device>
